http:
  routers:
    keycloak:
      entryPoint: https
      service: keycloak
      rules: Domain(`keycloak.z.com`).Path(`/`)
      tls:
        certProvider: default
    app1:
      entryPoint: https
      service: app1
      rules: Domain(`app1.z.com`).Path(`/`)
      tls:
        certProvider: default
    app2:
      entryPoint: https
      service: app2
      rules: Domain(`app2.z.com`).Path(`/`)
      tls:
        certProvider: default

  services:
    keycloak: http://192.168.10.2:8080
    app1: http://192.168.10.2:3001
    app2: http://192.168.10.2:3002

entryPoints:
  https:
    address: :443
    tls:
      enabled: true

tls:
  certProviders:
    default:
      key:  ./assets/certs/z.com.key.pem
      cert: ./assets/certs/z.com.cert.pem